Skip to main content
POST
/
assignments
/
schedules
/
{id}
/
pause
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "targetId": "<string>",
  "assignees": [
    "<unknown>"
  ],
  "recurrence": {
    "interval": 123,
    "cron": "<string>",
    "dueOffsetDays": 123,
    "expiryOffsetDays": 123
  },
  "originatorEmail": "<string>",
  "active": true,
  "nextRunAt": "<string>",
  "createdAssignmentIds": [
    "<string>"
  ],
  "targetVersion": "<string>",
  "assigneeStrategy": "<string>",
  "defaultMaxAttempts": 123,
  "defaultAllowDelegation": true,
  "defaultAllowRejection": true,
  "defaultReminderPolicy": {
    "offsetDaysBeforeDue": [
      123
    ]
  },
  "originatorName": "<string>",
  "originatorMessage": "<string>",
  "lastRunAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "createdBy": "<string>",
  "updatedBy": "<string>",
  "_ts": 123,
  "_etag": "<string>"
}

Authorizations

Authorization
string
header
required

Azure AD access token obtained via MSAL

Path Parameters

id
string
required

Response

Updated schedule with active=false

id
string
required
targetType
enum<string>
required
Available options:
chat,
document,
survey
targetId
string
required
assignees
any[]
required
recurrence
object
required
originatorEmail
string
required
active
boolean
required
nextRunAt
string
required
createdAssignmentIds
string[]
required
targetVersion
string
assigneeStrategy
string
defaultCompletionCriteria
enum<string>
Available options:
chat_visited,
chat_engaged,
flow_started,
flow_completed,
flow_passed,
manual
defaultMaxAttempts
integer
defaultAllowDelegation
boolean
defaultAllowRejection
boolean
defaultReminderPolicy
object
originatorName
string
originatorMessage
string
lastRunAt
string
createdAt
string
updatedAt
string
createdBy
string
updatedBy
string
_ts
number
_etag
string